Subject: [MMUSIC] Rtspspec-bugs digest, Vol 1 #87 - 2 msgs

From: [email-masked]
Date: Thu, 04 Sep 2003 20:21:04 -0700

This is an automatic digest of bugs submitted and changed on the RTSP bug tracker.  To see a list of bugs, visit:

http://sf.net/projects/rtspspec

When replying, please make your Subject line more specific than "Re: Rtspspec-bugs digest"

Today's Topics:

   1. [ rtspspec-Bugs-477403 ] Missing session header in response (SourceForge.net)
   2. [ rtspspec-Bugs-477403 ] Missing session header in response (SourceForge.net)

--__--__--

Message: 1
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Wed, 03 Sep 2003 22:42:27 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477403 ] Missing session header in response

Bugs item #477403, was opened at 2001-11-02 16:20
Message generated for change (Comment added) made by kjh1905m
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477403&group_id=23194

Category: None
Group: Fix for DS - Typo/Thinko
Status: Pending
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Rob Lanphier (robla)
Summary: Missing session header in response

Initial Comment:
Page 38 first example: Example missing session header in response.

Should not the client respond with what session id the respond relates to, as the

request contained one.

----------------------------------------------------------------------

Comment By: Jaehwan, Kim (kjh1905m)
Date: 2003-09-04 14:42

Message:
Logged In: YES 
user_id=365760

Then, what is the meaning of 'MUST'?

---------------

12.37 Session

   This request and response header field identifies an RTSP 

session

   started by the media server in a SETUP response and 

concluded by

   TEARDOWN on the presentation URL. The session identifier 

is chosen by

   the media server (see Section 3.4). Once a client receives 

a Session

   identifier, it MUST return it for any request related to that

   session.  A server does not have to set up a session 

identifier if it

   has other means of identifying a session, such as 

dynamically

   generated URLs.

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2002-01-29 08:23

Message:
Logged In: YES 
user_id=3796

I don't think this is a mistake.  The server isn't required to send back a session identifier if the client sends 

one.  It's only required to generate one if the client *doesn't* specify one....and only then in the SETUP 

message.

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-14 02:51

Message:
Logged In: YES 
user_id=3796

Whoops...will fix.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477403&group_id=23194

--__--__--

Message: 2
To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Thu, 04 Sep 2003 00:03:05 -0700
Subject: [rtspspec-bugs] [ rtspspec-Bugs-477403 ] Missing session header in response

Bugs item #477403, was opened at 2001-11-02 08:20
Message generated for change (Comment added) made by magwes
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477403&group_id=23194

Category: None
>Group: Fix for DS - Need WG Input
>Status: Open
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Rob Lanphier (robla)
Summary: Missing session header in response

Initial Comment:
Page 38 first example: Example missing session header in response.

Should not the client respond with what session id the respond relates to, as the

request contained one.

----------------------------------------------------------------------

>Comment By: Magnus Westerlund (magwes)
Date: 2003-09-04 09:03

Message:
Logged In: YES 
user_id=302620

There has been some text changes on this section in the 04

draft. I don't think the changed text actually covers the

case completly in regards to the old text. It is also a

tighter definition. 

The new definition does not allow one to create session

without a session id as RFC2326 does. This functionality to

use some other method, like dynamic URLs, seems unspecified.

Therefore I propsoe that it is dissallowed.

Secondly the comments about when one MUST send the session

identifier:

- Robla is correct that the text does not require a server

in the response to include a session header. 

- In response to kjh1905m's comment, this MUST relates to

the client. IF you read carful it says that the client MUST

use the session identifier, if defined by the server, in any

request that is in relation to the created session. 

Actions:

- Question: Is there any need to not require the server to

generate a session ID? The use of any other method to bind

sessions is not specified. In my opinion any client being

faced with this would not understand it, and if it had the

intention of doing aggregate control, it will not know how. 

- The text in the 04 draft version should propably be

improved. I think that mentioning cases where the session

header must or must not be included in the response will

improve understanding. An example of this is the TEARDOWN,

where the presence of a session id header indicates that the

session still exist. I would also guess that having at as

default behavior to return the session ID in responses is

beneficial, but not required or something a client or proxy

cna depend on.

----------------------------------------------------------------------

Comment By: Jaehwan, Kim (kjh1905m)
Date: 2003-09-04 07:42

Message:
Logged In: YES 
user_id=365760

Then, what is the meaning of 'MUST'?

---------------

12.37 Session

   This request and response header field identifies an RTSP 

session

   started by the media server in a SETUP response and 

concluded by

   TEARDOWN on the presentation URL. The session identifier 

is chosen by

   the media server (see Section 3.4). Once a client receives 

a Session

   identifier, it MUST return it for any request related to that

   session.  A server does not have to set up a session 

identifier if it

   has other means of identifying a session, such as 

dynamically

   generated URLs.

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2002-01-29 00:23

Message:
Logged In: YES 
user_id=3796

I don't think this is a mistake.  The server isn't required to send back a session identifier if the client sends 

one.  It's only required to generate one if the client *doesn't* specify one....and only then in the SETUP 

message.

----------------------------------------------------------------------

Comment By: Rob Lanphier (robla)
Date: 2001-12-13 18:51

Message:
Logged In: YES 
user_id=3796

Whoops...will fix.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=477403&group_id=23194

End of Rtspspec-bugs Digest

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic